@import "variables";
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

$body-background-color: rgb(48, 48, 48);
$card-background-color: #424242;
$text-color: #d0d0d0;
$card-label-color: rgba(255, 255, 255, 0.54);
$card-value-color: rgba(255, 255, 255, 0.87);

$base-color: #FAFAFA;  //select starting base color from Material Design color palettes

$side-bar-primary:darken( $base-color, 40% );
$side-bar-primary-active: darken( $base-color, 55% );
$side-bar-secondary: darken( $base-color, 45% );
$side-bar-secondary-active: darken( $base-color, 50% );

/*$side-bar-primary: #FFB74D;
$side-bar-primary-active: #F57C00;
$side-bar-secondary: #FFA726;
$side-bar-secondary-active: #FB8C00;*/
$side-bar-text-color: #fff;
$header-background-color : #353434;
$border-color: #6f7275;

$my-dark-theme-primary: mat-palette($mat-blue-grey);
$my-dark-theme-accent:  mat-palette($mat-pink, A200, A100, A400);

// The warn palette is optional (defaults to red).
$my-dark-theme-warn: mat-palette($mat-red, 700);

// Create the theme object (a Sass map containing all of the palettes).
$my-dark-theme: mat-dark-theme($my-dark-theme-primary, $my-dark-theme-accent, $my-dark-theme-warn);

